Package org.jcsp.util.filter

# Interface FilteredAny2OneChannel

All Superinterfaces:
  `Any2OneChannel`

public interface FilteredAny2OneChannel extends Any2OneChannel
Interface for an Any2One channel that supports filtering operations at each end.

Author:
  Quickstone Technologies Limited
See Also:
  - `Any2OneChannel`
  - `ReadFiltered`
  - `WriteFiltered`

## Method Summary

Modifier and Type
Method
Description
`ReadFiltered`
`inFilter()`
Returns an interface for configuring read filters on the channel.
`WriteFiltered`
`outFilter()`
Returns an interface for configuring write filters on the channel.

### Methods inherited from interface org.jcsp.lang.Any2OneChannel

`in, out`

## Method Details

### inFilter

ReadFiltered inFilter()
Returns an interface for configuring read filters on the channel.

### outFilter

WriteFiltered outFilter()
Returns an interface for configuring write filters on the channel.